Bug 918706 - [RFE] Centralize instance specific scripts
Summary: [RFE] Centralize instance specific scripts
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: 389-ds-base
Version: 7.0
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: rc
: ---
Assignee: Rich Megginson
QA Contact: Sankar Ramalingam
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-03-06 18:15 UTC by Nathan Kinder
Modified: 2014-06-18 02:57 UTC (History)
4 users (show)

Fixed In Version: 389-ds-base-1.3.1.2-1.el7
Doc Type: Enhancement
Doc Text:
Cause: Lack of centralized server scripts. Consequence: If there are several instances on the same system, then you have to use different scripts for each instance, instead of just using that one script. E.g. db2ldif Change: All of the instance specific scripts were moved to /usr/bin. There are still the instance specific scripts, but they are now wrapper scripts that simply point to the corresponding script in /usr/bin. "man" pages were also created for the all the scripts. Result: One script can be used to administer multiple instances on the same system.
Clone Of:
Environment:
Last Closed: 2014-06-13 09:59:32 UTC


Attachments (Terms of Use)

Description Nathan Kinder 2013-03-06 18:15:34 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/389/ticket/528

Instead of having per-instance scripts in /usr/lib*/dirsrv/slapd-INSTANCE, like db2ldif, ldif2db, etc.  we should instead have them in /usr/sbin or /usr/bin.  They should accept the specific instance to work on as a command line argument/option, and if there is only one instance, they should just work on that one instance without requiring to have it specified.  Bonus points for giving the user a menu of instances and having the user choose which instance to work on.

Comment 1 Rich Megginson 2013-10-01 23:26:29 UTC
moving all ON_QA bugs to MODIFIED in order to add them to the errata (can't add bugs in the ON_QA state to an errata).  When the errata is created, the bugs should be automatically moved back to ON_QA.

Comment 3 Amita Sharma 2013-12-18 10:34:07 UTC
Test Plan :: ​https://wiki.idm.lab.bos.redhat.com/export/idmwiki/index.php/Centralize_instance_specific_and_Secure_protocols_for_scripts
Automation :: clu/cluUtil.sh

All test cases passed hence marking bug as VERIFIED.

Comment 4 Ludek Smid 2014-06-13 09:59:32 UTC
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.


Note You need to log in before you can comment on or make changes to this bug.